package com.sundot.airport.ledger.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.dto.LedgerCommonQueryReqVO;
import com.sundot.airport.common.dto.LedgerCommonResVO;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerRealtimeInterception;
import com.sundot.airport.ledger.mapper.LedgerRealtimeInterceptionMapper;
import com.sundot.airport.ledger.service.ILedgerRealtimeInterceptionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 部门实时质控拦截记录Service实现
 */
@Service
public class LedgerRealtimeInterceptionServiceImpl extends ServiceImpl<LedgerRealtimeInterceptionMapper, LedgerRealtimeInterception>
        implements ILedgerRealtimeInterceptionService {

    @Autowired
    private LedgerRealtimeInterceptionMapper mapper;

    @Override
    public List<LedgerRealtimeInterception> selectList(LedgerRealtimeInterception query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerRealtimeInterception> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }

    @Override
    public List<LedgerCommonResVO> realtimeInterceptionItem(LedgerCommonQueryReqVO query) {
        return mapper.realtimeInterceptionItem(query);
    }
}
